
/* SETI@home plugin for GKrellM
 |
 |  Copyright (c) 2000 Xavier Serpaggi
 |
 |  Author: Xavier Serpaggi <xavier.serpaggi@libertysurf.fr>
 |
 |  Version: 0.6.1
 |
 |  This program is free software which I release under the GNU General Public
 |  License. You may redistribute and/or modify this program under the terms
 |  of that license as published by the Free Software Foundation; either
 |  version 2 of the License, or (at your option) any later version.
 |
 |  This program is distributed in the hope that it will be useful,
 |  but WITHOUT ANY WARRANTY; without even the implied warranty of
 |  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 |  GNU General Public License for more details.
 |  
 |  You should have received a copy of the GNU General Public License
 |  along with this program; if not, write to the Free Software
 |  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
 
/* seti.h - see seti.c for details on how to compile this program.
 */


#include <gkrellm/gkrellm.h>
#if (GKRELLM_VERSION_MAJOR<1) || (GKRELLM_VERSION_MAJOR==1 \
  && GKRELLM_VERSION_MINOR==0 && GKRELLM_VERSION_REV<3)
#error This plugin requires GKrellM version >= 1.0.3
#endif

#include <string.h>

#include <sys/types.h>
#include <sys/stat.h>
#include <signal.h>
#include <stdlib.h>
#include <unistd.h>

#include <errno.h>

#include <locale.h>

#include "pixmaps/bg_meter.xpm"
#include "pixmaps/krell.xpm"


#define CONFIG_NAME     "SETI@home"     /* Name in the configuration window */
#define STYLE_NAME      "seti"	  /* Theme subdirectory name and gkrellmrc */
					/* style name.			  */
#define MAJOR_VERSION	"0"
#define MINOR_VERSION	"6"
#define	RELEASE_NUMBER	"2"


/* The location of the plugin. You can choose from:
 |   MON_CLOCK, MON_CPU, MON_PROC, MON_DISK,
 |   MON_INET, MON_NET, MON_FS, MON_MAIL,
 |   MON_APM, or MON_UPTIME
 |
 |  The plugin will place itself above SETI_PLACE
 |
 |  The gravity defines where the plugin should be placed in compari
 |  with other plugins with the same placement position.
 |  If you want the plugin higher (but with the same placement), you
 |  set the gravity a bit lower, and if you want the plugin lower (w
 |  the same placement), you should set the gravity a bit higher.
 |  Min is 0, max is 15.
 |
 */
#ifdef GRAVITY
#define SETI_PLACE (MON_APM | GRAVITY(10))
#else
#define SETI_PLACE (MON_APM)
#endif
